%define _defaultdocdir /usr/share/doc
%define STDC_VERSION 2.9.0
%define EGCS_VERSION 1.1.2
%define RH_VERSION 6.2
%define PKG_RELEASE 16
Summary: The GNU Compiler Collection for Red Hat 6.2 backwards compatibility
Name: compat-egcs
Version: %{RH_VERSION}
Release: %{EGCS_VERSION}.%{PKG_RELEASE}
Copyright: GPL
Group: Development/Languages
Source0: ftp://egcs.cygnus.com/pub/egcs/releases/egcs-%{EGCS_VERSION}/egcs-%{EGCS_VERSION}.tar.bz2
Source1: egcs-libstdc++-compat.tar.bz2
Patch0: ftp://ftp.varesearch.com/pub/support/hjl/egcs/egcs-1.1.2-linux.patch
Patch1: egcs-1.1.2-davem.patch
Patch2: egcs-1.1.2-gcse.patch
Patch3: egcs-1.1.2-cpu.patch
Patch4: egcs-1.1.2-integrate.patch
Patch5: egcs-1.1.2-expr.patch
Patch6: egcs-1.1.2-strlen.patch
Patch7: egcs-1.1.2-warn.patch
Patch8: egcs-1.1.2-addressof.patch
Patch9: egcs-1.1.2-fold.patch
Patch10: egcs-1.1.2-asm.patch
Patch11: egcs-libio.patch
Patch12: egcs-cppp.patch

Patch15: egcs64-hack.patch

Patch19: egcs-1.1.2-19980906.diff.bz2
Patch20: ftp://egcs.cygnus.com/pub/egcs/snapshots/1998-09-14/egcs-19980906-19980914.diff.bz2
Patch21: ftp://egcs.cygnus.com/pub/egcs/snapshots/1998-09-21/egcs-19980914-19980921.diff.bz2
Patch22: egcs-19980921-sparc.patch
Patch23: egcs-19980921-sparc2.patch
Patch24: egcs64-glibc21.patch
Patch25: egcs-19980906-texi.patch

ExclusiveArch: %{ix86} alpha sparc
Buildroot: /var/tmp/egcs-%{EGCS_VERSION}-root
Url: http://gcc.gnu.org/
%ifarch i386
Requires: binutils >= 2.10.91.0.2-3
%else
Requires: binutils >= 2.9.1.0.21
%endif
Requires: compat-glibc = %{RH_VERSION}
Requires: glibc-devel
Obsoletes: kgcc
%ifarch sparc
Obsoletes: egcs64
%endif

%description
This package includes a compiler that can be to generate binaries that
will run on older Red Hat Linux systems (namely Red Hat Linux 6.2).
This package includes the C compiler and required compiler libraries for
those systems.

%package c++
Summary: C++ support for Red Hat 6.2 backwards compatibility C compiler
Group: Development/Languages
Requires: %{name} = %{RH_VERSION}
Requires: compat-libstdc++ = %{RH_VERSION}-%{STDC_VERSION}.%{PKG_RELEASE}

%description c++
This package includes a compiler that can be used to generate binaries that
will run on older Red Hat Linux systems (namely Red Hat Linux 6.2, or glibc
2.1.X based systems)

%package objc
Summary: Ojective C support for Red Hat 6.2 backwards compatibility C compiler
Group: Development/Languages
Requires: %{name} = %{RH_VERSION}

%description objc
This package includes a compiler that can be used to generate binaries that
will run on older Red Hat Linux systems (namely Red Hat Linux 6.2, or glibc
2.1.X based systems). This package includes the Objective C compiler and
libraries for those older systems.

%package g77
Summary: Fortran 77 support for Red Hat 6.2 backwards compatibility C compiler
Group: Development/Languages
Requires: %{name} = %{RH_VERSION}

%description g77
This package includes a compiler that can be used to generated binaries that
will run on older Red Hat Linux systems (namely Red Hat Linux 6.2, or glibc
2.1.X based systems). This package includes the Fortran 77 compiler and
libraries for those older systems.

%package -n compat-libstdc++
Summary: Standard C++ libraries for Red Hat 6.2 backwards compatibility C++ compiler
Group: System Environment/Libraries
Release: %{STDC_VERSION}.%{PKG_RELEASE}
Prereq: /sbin/ldconfig

%description -n compat-libstdc++
The compat-libstdc++ package contains compatibility Standard C++ libraries
that are used by Red Hat Linux 6.2 C++ binaries and KDE 1.x C++ binaries in
the current distribution.

%prep
%setup -q -n egcs-%{EGCS_VERSION}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p0
%patch11 -p0
%patch12 -p0

%ifarch sparc
%patch15 -p1
%endif

mkdir compat
tar xf %{SOURCE1} --bzip2 -C compat
cd gcc ; autoconf ; cd ..

tar xf %{SOURCE0} --bzip2
mv egcs-1.1.2 egcs-19980906
cd egcs-19980906
%patch19 -p1
find . -size 0 | xargs rm
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p0
%patch25 -p1
%patch2 -p1

%build
rm -rf obj-$RPM_ARCH-linux
mkdir obj-$RPM_ARCH-linux
cd obj-$RPM_ARCH-linux
../configure  --prefix=/usr \
	--enable-shared --enable-threads \
	--program-transform-name="s,^,$RPM_ARCH-glibc21-linux-," \
	$RPM_ARCH-glibc21-linux

PATH=$PATH:/sbin:/usr/sbin
# gperf is most likely broken on alpha and sparc 
touch  ../gcc/c-gperf.h
make MAKEINFO="makeinfo --no-split"  bootstrap-lean
make MAKEINFO="makeinfo --no-split" info

%ifarch sparc
cd ../egcs-19980906
rm -rf obj-sparc64-linux
mkdir obj-sparc64-linux
cd obj-sparc64-linux
CFLAGS=-O2 ../configure  --prefix=/usr \
	--enable-shared --enable-threads \
	--build=sparc64-glibc21-linux \
	--host=sparc64-glibc21-linux \
	--target=sparc64-glibc21-linux \
	--with-cpu=ultrasparc
PATH=$PATH:/sbin:/usr/sbin
make -C libiberty MAKEINFO="makeinfo --no-split" CFLAGS="$RPM_OPT_FLAGS"' -DHOST_WIDE_INT=long\ long -DHOST_BITS_PER_WIDE_INT=64' LANGUAGES=c
make -C gcc MAKEINFO="makeinfo --no-split" CFLAGS="$RPM_OPT_FLAGS"' -DHOST_WIDE_INT=long\ long -DHOST_BITS_PER_WIDE_INT=64' LANGUAGES=c
%endif

%install
rm -rf $RPM_BUILD_ROOT
cd obj-$RPM_ARCH-linux
PATH=$PATH:/sbin:/usr/sbin
make install \
	prefix=$RPM_BUILD_ROOT/usr \
	mandir=$RPM_BUILD_ROOT/usr/man/man1 \
	MAKEINFO="makeinfo --no-split" 
rm -f gcc/gcc.o gcc/g++.o gcc/cccp.o
make CFLAGS=-O2 target_alias=$RPM_ARCH-redhat-linux -C gcc xgcc g++ cccp
cp -a gcc/xgcc $RPM_BUILD_ROOT/usr/bin/egcs
cp -a gcc/g++ $RPM_BUILD_ROOT/usr/bin/egcs++
FULLVER=$($RPM_BUILD_ROOT/usr/bin/$RPM_ARCH-glibc21-linux*-gcc --version)
FULLPATH=$(dirname $RPM_BUILD_ROOT/usr/lib/gcc-lib/$RPM_ARCH-glibc21*/$FULLVER/cc1)

file $RPM_BUILD_ROOT/usr/bin/* | grep ELF | cut -d':' -f1 | xargs strip -R .comment || :
strip -R .comment $FULLPATH/{cc1,cc1obj,cc1plus,cpp,f771,collect2}

# fix some things
ln $RPM_BUILD_ROOT/usr/bin/egcs $RPM_BUILD_ROOT/usr/bin/kgcc
pushd $FULLPATH
ln -f cpp cpp0
echo '#!/bin/sh' > tradcpp0
echo "exec /usr/lib/gcc-lib/$RPM_ARCH-glibc21-linux/$FULLVER/cpp0 -traditional "'"$@"' >> tradcpp0
chmod +x tradcpp0
popd
mkdir -p $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/lib/gcc-lib/$RPM_ARCH-redhat-linux/2.96
pushd $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/lib/gcc-lib/$RPM_ARCH-redhat-linux/2.96
ln -sf ../../../../../lib/gcc-lib/$RPM_ARCH-glibc21-linux/$FULLVER/* .
popd
mkdir -p $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin
echo '# Run `. /usr/'$RPM_ARCH'-glibc21-linux/bin/'$RPM_ARCH'-glibc21-linux-env.sh'\' > $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
echo '# for transparent glibc 2.1.x compatibility build environment.' >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
echo '# Preprocessor will use glibc 2.1.x compatibility headers and' >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
echo '# things will be linked against glibc 2.1.x compatibility libraries.' >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
%ifarch i386
echo '# This will work both when linking using gcc drivers or standalone ld' >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
echo '# on '$RPM_ARCH' platform.' >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
echo 'export LDEMULATION=elf_i386_glibc21 # This is so that when genclntsh runs' >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
echo '				    # ld, it first looks at /usr/'$RPM_ARCH'-glibc21-linux/lib' >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
echo '				    # for libraries' >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
%endif
echo 'export GCC_EXEC_PREFIX=/usr/'$RPM_ARCH'-glibc21-linux/lib/gcc-lib/'  >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
echo '				    # This is so that the gcc driver uses' >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
echo '				    # the compatibility compiler' >> $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh
chmod +x $RPM_BUILD_ROOT/usr/$RPM_ARCH-glibc21-linux/bin/$RPM_ARCH-glibc21-linux-env.sh

#install the compatibility libstdc++ library
LIB_ARCH=`echo $RPM_ARCH | sed 's/i?86/i386/'`
[ -d ../compat/$LIB_ARCH ] && install -m 755 ../compat/$LIB_ARCH/* $RPM_BUILD_ROOT/usr/lib/

# build a fake libstdc++.so.2.9 library for compatibility with other distros
pushd $RPM_BUILD_ROOT/usr/lib ; {
	touch foo.c
	../bin/$RPM_ARCH-glibc21-linux-g++ -B gcc-lib/*/*/ -fPIC -L. -shared -o libstdc++.so.2.9.dummy \
		-Wl,-soname,libstdc++.so.2.9
	rm -f foo.c
} ; popd

mkdir -p $RPM_BUILD_ROOT/usr/lib/gcc-lib/$RPM_ARCH-redhat-linux/$FULLVER
pushd $RPM_BUILD_ROOT/usr/lib/gcc-lib/$RPM_ARCH-redhat-linux/$FULLVER
ln -sf ../../$RPM_ARCH-glibc21-linux/$FULLVER/* .
rm -rf libstdc++* cpp cpp0 tradcpp0 include
mkdir include
pushd include
ln -sf ../../../$RPM_ARCH-glibc21-linux/$FULLVER/include/* .
rm -f objc
mkdir objc
cd objc
ln -sf ../../../../$RPM_ARCH-glibc21-linux/$FULLVER/include/objc/* .
popd
cp -a ../../$RPM_ARCH-glibc21-linux/$FULLVER/libstdc++* .
popd
cp -a gcc/cccp $RPM_BUILD_ROOT/usr/lib/gcc-lib/$RPM_ARCH-redhat-linux/$FULLVER/cpp
pushd $RPM_BUILD_ROOT/usr/lib/gcc-lib/$RPM_ARCH-redhat-linux/$FULLVER
strip -R .comment cpp
ln -f cpp cpp0
echo '#!/bin/sh' > tradcpp0
echo "exec /usr/lib/gcc-lib/$RPM_ARCH-redhat-linux/$FULLVER/cpp0 -traditional "'"$@"' >> tradcpp0
chmod +x tradcpp0
popd

%ifarch sparc
cd ../egcs-19980906/obj-sparc64-linux
PATH=$PATH:/sbin:/usr/sbin
make -C libiberty prefix=$RPM_BUILD_ROOT/usr MAKEINFO="makeinfo --no-split" CFLAGS="$RPM_OPT_FLAGS"' -DHOST_WIDE_INT=long\ long -DHOST_BITS_PER_WIDE_INT=64' LANGUAGES=c install
make -C gcc prefix=$RPM_BUILD_ROOT/usr MAKEINFO="makeinfo --no-split" CFLAGS="$RPM_OPT_FLAGS"' -DHOST_WIDE_INT=long\ long -DHOST_BITS_PER_WIDE_INT=64' LANGUAGES=c install
FULLVER=`$RPM_BUILD_ROOT/usr/bin/sparc64-glibc21-linux-gcc --version | cut -d' ' -f1`
FULLPATH=$(dirname $RPM_BUILD_ROOT/usr/lib/gcc-lib/sparc64-glibc21-linux/$FULLVER/cc1)
rm -f $FULLPATH/collect*
strip -R .comment $RPM_BUILD_ROOT/usr/bin/*
strip -R .comment $FULLPATH/{cc1,cpp}
ln -sf $FULLVER $RPM_BUILD_ROOT/usr/lib/gcc-lib/sparc64-glibc21-linux/egcs-2.92-current
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n compat-libstdc++ -p /sbin/ldconfig

%postun -n compat-libstdc++ -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README* COPYING COPYING.LIB

/usr/bin/%{_target_cpu}-glibc21-linux-gcc
/usr/bin/egcs
/usr/bin/kgcc

%dir /usr/lib/gcc-lib
%dir /usr/lib/gcc-lib/%{_target_cpu}-redhat-linux
%dir /usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*
%dir /usr/lib/gcc-lib/%{_target_cpu}-glibc21-linux
%dir /usr/lib/gcc-lib/%{_target_cpu}-glibc21-linux/egcs-*
%dir /usr/lib/gcc-lib/%{_target_cpu}-glibc21-linux/egcs-*/include
%dir /usr/%{_target_cpu}-glibc21-linux
%dir /usr/%{_target_cpu}-glibc21-linux/include
%dir /usr/%{_target_cpu}-glibc21-linux/lib
%dir /usr/%{_target_cpu}-glibc21-linux/bin
%dir /usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib
%dir /usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux
%dir /usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96

%dir /usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/include
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/SYSCALLS.c.X
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/cc1
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/cpp
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/cpp0
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/tradcpp0
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/collect2
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/libgcc.a
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/libgcc.map
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/specs

/usr/%{_target_cpu}-glibc21-linux/bin/%{_target_cpu}-glibc21-linux-env.sh
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/include
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/SYSCALLS.c.X
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/cc1
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/cpp
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/cpp0
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/tradcpp0
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/collect2
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/libgcc.a
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/libgcc.map
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/specs

%ifnarch alpha
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/*.o
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/*.o
%endif

/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/README
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/float.h
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/iso646.h
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/limits.h
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/proto.h
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/stdarg.h
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/stdbool.h
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/stddef.h
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/syslimits.h
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/va-*.h
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/varargs.h

%ifarch sparc
/usr/lib/gcc-lib/sparc64-glibc21-linux
%endif

%files c++
%defattr(-,root,root)
/usr/bin/egcs++
/usr/bin/*-glibc21-linux-c++
/usr/bin/*-glibc21-linux-g++
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/cc1plus
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/libstdc*
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/cc1plus
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/libstdc*
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/exception
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/new
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/typeinfo
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/new.h
/usr/include/g++-2
/usr/lib/libstdc++-2-libc*-%{STDC_VERSION}.a
/usr/lib/libstdc++-libc*.a.2

%files objc
%defattr(-,root,root)
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/cc1obj
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/libobjc.a
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/cc1obj
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/libobjc.a
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/objc

%files g77
%defattr(-,root,root)
/usr/bin/*-glibc21-linux-g77
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/f771
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/libg2c.a
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/f771
/usr/%{_target_cpu}-glibc21-linux/lib/gcc-lib/%{_target_cpu}-*-linux/2.96/libg2c.a
/usr/lib/gcc-lib/%{_target_cpu}-*-linux/egcs-*/include/g2c.h

%files -n compat-libstdc++
%defattr(-,root,root)
/usr/lib/libstdc++-2-libc*-%{STDC_VERSION}.so
%ifarch %{ix86} sparc alpha
/usr/lib/libstdc++.so.2.8.0
%endif
%ifarch %{ix86} alpha
/usr/lib/libstdc++.so.2.7.2.8
/usr/lib/libg++.so.2.7.2.8
%endif
/usr/lib/libstdc++.so.2.9.dummy

%changelog
* Wed Jul 11 2001 Jakub Jelinek <jakub@redhat.com>
- add defattr macros

* Wed Jul 11 2001 Jakub Jelinek <jakub@redhat.com>
- rebuilt against binutils-2.9.5.0.22-7 to reserve .dynamic space

* Mon Apr  2 2001 Jakub Jelinek <jakub@redhat.com>
- save 7.5MB of space from the .src.rpm
- /usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/include/objc must be a
  directory as well (#34379)

* Fri Mar 30 2001 Jakub Jelinek <jakub@redhat.com>
- /usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/include must be a directory
  to make rpm happy about upgrades from 6.x egcs rpms.
- add /usr/%{_target_cpu}-glibc21-linux/bin/%{_target_cpu}-glibc21-linux-env.sh
  script

* Fri Mar  9 2001 Jakub Jelinek <jakub@redhat.com>
- some more spec file fixes

* Thu Mar  8 2001 Jakub Jelinek <jakub@redhat.com>
- put kgcc back into compat-egcs subpackage
- egcs, kgcc and egcs++ drivers now should not look into compatibility
  paths for headers/libraries, while *-glibc21-linux-* drivers should
- allow the compat compiler to be driver by the 2.96-RH gcc driver
  (by specifying appropriate GCC_EXEC_PREFIX, C_INCLUDE_PATH and
   CPLUS_INCLUDE_PATH environment variables)
- apply the rest of glibc 2.2.2 patches, so that it is possible to compile
  this under 7.x instead of 6.2 (#28949)

* Tue Aug  1 2000 Jakub Jelinek <jakub@redhat.com>
- put docs into /usr/share/doc (#14658)
- allow building as i586/i686 package (#14379)

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- build kgcc on all architectures
- make kgcc -m64 sparc compiler for 2.2 kernels
- fix streambuf.h

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rename egcs subpackage to kgcc

* Mon Jul 17 2000 Jakub Jelinek <jakub@redhat.com>
- don't confure rpm with %%{RELEASE} redefinition

* Mon Jul 17 2000 Jakub Jelinek <jakub@redhat.com>
- fix Requires

* Sat Jul 15 2000 Jakub Jelinek <jakub@redhat.com>
- Convert into compat-egcs and related packages

* Thu Feb 17 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix type in libstdc++ %post

* Mon Feb 14 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add patch from Ulrich Drepper <drepper@redhat.com>:
  parse.y (simple_stmt): Allow :: token in asm parameter list

* Tue Feb 08 2000 Cristian Gafton <gafton@redhat.com>
- add the iostream info page to libstdc++

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed

* Mon Jan 10 2000 Jim Kingdon <http://bugzilla.redhat.com/bugzilla>
- Add egcs-1.1.2-fold.patch from rth.  Update URL to http://gcc.gnu.org/.

* Fri Dec 3 1999 Jim Kingdon <http://developer.redhat.com>
- Replace egcs-1.1.2-fixtrunc.patch with egcs-1.1.2-integrate.patch
  (bugzilla #3777).  Add egcs-1.1.2-addressof.patch.  Depend on
  glibc-devel.

* Wed Sep 8 1999 Jim Kingdon <http://developer.redhat.com>
- Fix egcs-1.1.2-cpu.patch so that it works if more than one option
  from a set is specified.

* Thu Sep 3 1999 David S. Miller <davem@redhat.com>
- Fixup egcs-1.1.2-expr.patch to modify c-parse.in

* Wed Sep 1 1999 Jim Kingdon <http://developer.redhat.com>
- Add egcs-1.1.2-strlen.patch (fixes compiler core dump on certain strlen
  invocations) and egcs-1.1.2-warn.patch (makes -Wpointer-arith work
  with glibc-2.1.2-7).

* Thu Aug 19 1999 Jim Kingdon <http://developer.redhat.com>
- Replace egcs-1.1.2-global.patch (which is bogus according to Richard
  Henderson) with egcs-1.1.2-fixtrunc.patch (which fixes the same bug,
  and looks more likely to be right).

* Thu Aug 12 1999 Cristian Gafton <gafton@redhat.com>
- build a dummy libstsdc++.so.2.9 library to maintain compatibility with
  other distribution not using HJ's Linux patches.

* Tue Jul 30 1999 Jim Kingdon <http://developer.redhat.com>
- Add egcs-1.1.2-expr.patch to fix 3971 in bugzilla.

* Tue Jul 20 1999 Jim Kingdon <http://developer.redhat.com>
- Add egcs-1.1.2-global.patch, fixes core dumps.

* Mon Jul 12 1999 Cristian Gafton <gafton@redhat.com>
- improved CPU handling patch

* Thu Jun 24 1999 Cristian Gafton <gafton@redhat.com>
- added patch from rth to stop cpp from defining __i486__ macros on -m486
  (it is not supposed to according to the info page, and this makes code
  compiled with -m486 not run on i386 anymore)

* Mon May 17 1999 Matt Wilson <msw@redhat.com>
- added patch from Dave Miller

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- version 1.1.2
- added patch from davem

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- version 1.1.2pre3

